Package org.opengis.cite.iso19142.basic.filter.temporal

# Class BeforeTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.filter.QueryFilterFixture
org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest
org.opengis.cite.iso19142.basic.filter.temporal.BeforeTests

public class BeforeTests extends AbstractTemporalTest
Tests the response to a GetFeature request that includes the temporal predicate Before. Either operand may represent an instant or a period.

The following figure illustrates the relationship. A solid line denotes a temporal property; a dashed line denotes a literal time value that specifies the temporal extent of interest.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest

  `AbstractTemporalTest.TemporalProperty`

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `dataSampler, GET_FEATURE_MINIMAL, model, temporalProperties`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeforeTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `assertBefore(List<Node> temporalNodes, org.apache.xerces.xs.XSElementDeclaration propertyDecl, Document gmlTimeLiteral)`
  Asserts that all temporal values in the given list occur before the specified GML temporal value.
  `void`
  `beforePeriod(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a GetFeature request containing the `Before` temporal predicate with a literal gml:TimePeriod value.
  `void`
  `implementsBeforeOperator()`
  Checks if the temporal operator "Before" is supported.

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest

  `findTemporalProperty`

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `buildRequestEntity, discardResponseEntity, findTemporalProperties, getModel, initQueryFilterFixture`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeforeTests

    public BeforeTests()

- ## Method Details

  - ### implementsBeforeOperator

    @BeforeClass public void implementsBeforeOperator()
    Checks if the temporal operator "Before" is supported. If not, the relevant tests are skipped.

  - ### beforePeriod

    public void beforePeriod(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a GetFeature request containing the `Before` temporal predicate with a literal gml:TimePeriod value. The response entity must contain only feature instances having a temporal property value that is before the specified period.
    Parameters:
      `binding` - The ProtocolBinding to use for this request.
      `featureType` - A QName representing the qualified name of some feature type.

  - ### assertBefore

    void assertBefore(List<Node> temporalNodes, org.apache.xerces.xs.XSElementDeclaration propertyDecl, Document gmlTimeLiteral)
    Asserts that all temporal values in the given list occur before the specified GML temporal value.
    Parameters:
      `temporalNodes` - A list of simple or complex temporal values.
      `propertyDecl` - An element declaration for a temporal property.
      `gmlTimeLiteral` - A document that contains a GML representation of an instant or period.